<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.CarsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.Cars">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="user_id" property="userId" />
        <result column="plate_no" property="plateNo" />
        <result column="vehicle_type" property="vehicleType" />
        <result column="address" property="address" />
        <result column="vin" property="vin" />
        <result column="use_character" property="useCharacter" />
        <result column="model" property="model" />
        <result column="engine_no" property="engineNo" />
        <result column="register_date" property="registerDate" />
        <result column="is_defult" property="isDefault" />
        <result column="is_delete" property="isDelete" />
        <result column="issue_date" property="issueDate" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, company_id,user_id, plate_no, vehicle_type, address, vin, use_character, model, engine_no, register_date, is_defult, is_delete, issue_date, create_time, update_time
    </sql>

</mapper>
